Results 1 to 5 of 5

Thread: Mover

Threaded View

Previous Post Previous Post   Next Post Next Post
  1. #1
    Member tuomo.jarvinen's Avatar
    Join Date
    2015-09
    Location
    Jyväskylä, Finland
    Posts
    49
    Login to Give a bone
    0

    Post Mover

    Hi, what am I doing wrong? Why doesn't my selected object move??

    Code:
    (defun c:mover (/ ObjToMove pt1 pt2)
    
    (setvar "cmdecho" 0)
    (command "_.undo" "begin")
    
    (setq ObjToMove (entsel "Move what?:"))
    (setq pt1 (cdr ObjToMove))
    (setq ObjToMove (car ObjToMove)) 
    (setq pt2 (getpoint "Where?"))
    (command "_.move" ObjToMove pt1 pt2)
    
    (command "_.undo" "end")
    (setvar "cmdecho" 1)
    (princ)
    )
    Last edited by rkmcswain; 2014-01-20 at 09:55 PM. Reason: add [CODE] tags

Similar Threads

  1. Mover um objeto, sem utilizar o comando "move" no lisp
    By Edmar Cristiano in forum AutoLISP
    Replies: 1
    Last Post: 2013-07-30, 02:28 AM
  2. Selecionar e mover um bloco?
    By eugeniocunha in forum AutoLISP
    Replies: 4
    Last Post: 2009-05-27, 06:57 PM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •